Subject: Re: [Anima] Next steps for the reference document

From: "Jason Coleman (colemaj)" <[email-masked]>
Date: Thu, 4 Jun 2015 22:40:32 +0000

I would like to help with the following areas:

Management, Domain/Sub Domain, and Out-of-band and inline ACP

-- 
Jason Coleman CCIE#12069
[email-masked]
phone: +1 512-340-3134Technical Lead Engineer CMS

This email may contain confidential and privileged material for the sole use of the intended recipient. Any review, use, distribution or disclosure by others is strictly prohibited. If you are not the intended recipient (or authorized to receive for the recipient), please contact the sender by reply email and delete all copies of this message.
For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/index.html

On 6/4/15, 8:18 AM, "Michael Behringer (mbehring)" <[email-masked]> wrote:

>Thanks for all who volunteered to participate in the reference doc. While detailed discussions may be between the contributors, the main technical discussions should probably take place on the main list. Here, I summarise my view on what needs to be done in the reference document. 
>
>If someone thinks he/she can produce text for the respective sections, please let me / the list know. 
>
>The overall goal is to show how all the various drafts, protocols, and discussions in the ANIMA WG fit together.
>
>Points to address: 
>
>-	We should have a short section on intent. Explaining ingest of intent, distribution, the nature (on top of what's in RFC7575). That intent is signed, time stamps, etc. Probably pointing back to RFC7575. (Note intent distribution is handled in section 7.3)
>-	Do we want to address "constrained" AN nodes, with limited capabilities, here? I think so... We'll need that for AN in constrained environments. This could go into a new section in section 3: "constrained network elements". 
>-	The masa section needs to be written. The masa will be an optional element. Needs to point to the bootstrap draft, which explains the basics. 
>-	Naming section needs meat. What names are used for, where it is in the domain cert. 
>-	Addressing section needs to bring in recent discussions. Needs to include how an ASA uses addressing. per node or per ASA. (I think we concluded per node). 
>-	Domain certificate template. We should write a section on the AN domain certificate. How the various fields are used. 
>-	Need to explain sub-domains
>-	Section 9 needs to be worked out. This is all about conflict resolution. Maybe we should re-name that section? RFC 7575 already mentions this. Maybe we don't need much more here. 
>-	trust management: inside a domain, between domain and sub-domain, and between domains. This should become a new section. 
>-	Need to treat the question of the "out of band" ACP versus the inline ACP. The two models both work, but there are implications, different benefits, drawbacks, etc. This needs to be explained. 
>-	Routing: In the case of a virtually separate ACP, as in draft-behringer-anima-autonomic-control-plane, we need to also define a routing protocol (thinking of the discussion in homenet, this might be "fun"...) 
>-	Need considerations for APIs: How can ASAs use the ANI? 
>-	Need considerations for a data model. What it should cover, scope. 
>-	We should also describe the management angle
>-	Security considerations need to be expanded. Threat analysis needs work; need general security considerations, talk about the PKI and trust model, etc. 
>
>Thoughts? Anything missing? Any volunteer for a specific part? 
>
>Michael
>
>_______________________________________________
>Anima mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/anima